/* REXX script to check if login is ok after collected username.

   RETURN 0 if user allowed login
   RETURN 1 if user not allowed login or a response text in the format
            textstring'&'filepath
*/
parse arg socket args

anon = ipsVar( socket, '%_ftp.usr.anon%' )
sessions = ipsVar( socket, '%_ftp.sessions%' )

if ( anon = 1 ) & ( sessions > 16 ) then do
  return '421 No more anonymous logins accepted at this time, try again later.'
end

return 0
